%define upstream_name    Math-Assistant
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Functions for various exact algebraic calculations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigFloat) >= 1.997.0
BuildRequires: perl(Math::BigInt) >= 1.997.0
BuildRequires: perl(Test::More) >= 0.980.0
BuildArch:  noarch

%description
The module contains important algebraic operations: matrix rank,
determinant and solve an equation system. The integer values are accepted.
Calculations with the raised accuracy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 369513
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 342368
- update to 0.05

* Thu Dec 13 2012 shlomif <shlomif> 0.41.700-1.mga3
+ Revision: 330245
- New version 0.0417

* Wed Dec 07 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 178156
- imported package perl-Math-Assistant

